> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrichment: All Transactions



## OpenAPI

````yaml POST /v1/transactions/enrichment
openapi: 3.0.0
info:
  title: Pagos Ingestion API
  description: The Pagos Ingestion API Spec
  version: 1.1.1
  contact: {}
servers:
  - description: sandbox
    url: https://api.sandbox.nest.pagosapi.com
  - description: production
    url: https://api.nest.pagosapi.com
security: []
tags:
  - name: ingestion
    description: Pagos Ingestion API
paths:
  /v1/transactions/enrichment:
    post:
      operationId: TransactionsEnrichmentController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TransactionEnrichmentUploadRequest'
      responses:
        '201':
          description: >-
            The enrichment record was successfully added to the enrichment queue
            for further processing.
components:
  schemas:
    TransactionEnrichmentUploadRequest:
      type: object
      properties:
        order_id:
          type: string
          maxLength: 255
          description: >
            The merchant order reference, in case you have multiple transactions
            with the same order_id - all will be enriched. 
        transaction_id:
          type: string
          maxLength: 255
          description: >-
            A unique value that identifies this transaction which was generated
            by PSP (Adyen -> pspReference, Stripe -> charge.id, Braintree ->
            sale.transaction.id, etc). Maximum 255 characters.
        metadata:
          type: object
          additionalProperties:
            nullable: true
          description: >-
            A transaction-level label, represented as a JSON object and used to
            segment into meaningful groups. Metadata is typically used for
            segmentation by customer behavior (e.g. purchases from a particular
            seller) or merchant behavior (e.g. transaction routing or retries).
      required:
        - metadata
      additionalProperties: false

````